.\" $Revision: 1.10 $
.TH NNTPGET 1
.SH NAME
nntpget \- get Usenet articles from a remote NNTP server
.SH SYNOPSIS
.I nntpget
[
.BI \-d " dist"
]
[
.BI \-f " file"
]
[
.BI \-n " newsgroups"
]
[
.BI \-t " timestring"
]
[
.B \-o
]
[
.BI \-u " file"
]
[
.B \-v
]
.I host
.SH DESCRIPTION
.I Nntpget
connects to the NNTP server at the specified
.I host
and retrieves articles from it. The Message-ID's of the desired articles
are read from standard input. The articles are sent to standard output.
.SH OPTIONS
.TP
.B \-o
The ``\-o'' option may be used only if the command is executed on the
host where the
.IR innd (8)
server is running.
If this option is used,
.I nntpget
connects to the specified remote
.I host
to retrieve articles.
Any article not present in the local
.I history
database is then fetched from the remote site and offered to the local server.
.TP
.B \-v
If the ``\fB\-v\fP'' option is used with the ``\fB\-o\fP'' option then the
Message-ID
of each article will be sent to standard output as it is processed.
.TP
.B \-f
The list of article Message-ID's is normally read from standard input.
If the ``\fB\-f\fP'' option is used, then a ``newnews'' command is used
to retrieve
all articles newer then the modification date of the specified
.IR file .
.TP
.B \-u
The ``\fB\-u\fP'' option is the same except that if the transfer succeeded, the
file will be updated with a statistics line, modifying its timestamp so that
it can be used in later invocations.
.TP
.B \-t
If the ``\-t'' option is used, then the specified
.I timestring
is used as the time and date parameter to the ``newnews'' command.
.TP
.B \-n
If either the ``\fB\-t\fP'' or ``\fB\-f\fP'' options are used, then 
the ``\fB\-n\fP'' option
may be used to specify a newsgroup list. The default is ``*''
.TP
.B \-d
The ``\fB\-d\fP'' option may be
used to specify a distribution list when using the ``\fB\-t\fP''
or ``\fB\-f\fP'' options.
The default is no distribution list.
.SH HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.
.de R$
This is revision \\$3, dated \\$4.
..
.R$ $Id: nntpget.1,v 1.10 1996/10/29 23:25:05 brister Exp $
.SH "SEE ALSO"
innd(8).
